import * as _nuxt_schema from '@nuxt/schema';
import { Feed } from 'feed';

type FeedType = 'rss2' | 'atom1' | 'json1';
interface SourceOptions {
    path: string;
    type: FeedType;
    cacheTime: number;
}
interface ModuleOptions {
    sources: SourceOptions[];
}
interface NitroCtx {
    feed: Feed;
    options: SourceOptions;
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { FeedType, ModuleOptions, NitroCtx, SourceOptions, _default as default };
