import { defineEventHandler, setHeader, useNitroApp } from "#imports";
import { Feed } from "feed";
import feedOptions from "#feed";
function resolveContentType(type) {
  const lookup = {
    rss2: "application/rss+xml",
    atom1: "application/atom+xml",
    json1: "application/json"
  };
  return lookup[type];
}
async function createFeed(options) {
  const feed = new Feed({
    id: "",
    title: "",
    copyright: ""
  });
  await useNitroApp().hooks.callHook("feed:generate", { feed, options });
  return feed[options.type]();
}
export default defineEventHandler(async (event) => {
  const options = feedOptions[event.node.req.url];
  setHeader(event, "content-type", resolveContentType(options.type));
  setHeader(event, "cache-control", `max-age=${options.cacheTime}`);
  const feed = await createFeed(options);
  return feed;
});
